using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FlickrNet;
using XTransMobile;

namespace iTripLog.Friends
{
    public partial class FriendForm :XTransMobile.XTForm
    {
      
        Flickr flickr = new Flickr("23589c82ce57562f2dbe6f9810b81a99", "529608c61cd85236", "72157622141823959-460ef5327a4ad8d5"); 
        public FriendForm()
        {
            InitializeComponent();
        }

        private void btn_getFriends_Click(object sender, EventArgs e)
        {

            FoundUser user = flickr.PeopleFindByUsername(txt_userName.Text);
            Contacts con = flickr.ContactsGetPublicList(user.UserId);
            Contact[] friends = con.ContactCollection;
            for (int i = 0; i < friends.Length; i++)
            {
                lbl_friends.Text += friends[i].UserName + "\n";
            }
            this.lbl_friends.Visible = true;
        }

        private void menuItem1_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void FriendForm_Load(object sender, EventArgs e)
        {

        }

    }
}